Subject: bug#27007: boot-parameters are not documented

From: Tomáš Čech <[email-masked]>
Date: Sat, 20 May 2017 23:00:49 +0200

On Sat, May 20, 2017 at 10:52:34PM +0200, Danny Milosavljevic wrote:
>Hi,
>
>there's a doc patch in review by Mathieu (16 May 2017 15:03 +0200, "doc: Adapt to multiple bootloader support", bug# 26339) in guix-patches.

As I have seen this feature on ML some time ago already, I didn't
expect to be in between acceptance of both patches. Sorry.

>Although I wonder what menu-entries can be used for.  What are you using it for?
>

Defining other operating system entry:

 (menu-entry
  (label "openSUSE")
  (linux "(hd0,msdos1)/vmlinuz")
  (linux-arguments (list  "root=/dev/penguin/opensuse"  "init=/usr/lib/systemd/systemd"))
  (initrd "(hd0,msdos1)/initrd"))))))

Best regards,

S_W